<?php
// Tableau des départements d'appartenance
$DEPT = array (
    'CRETEIL'    => 'Val-de-Marne',
    'NICE'       => 'Alpes-Maritimes',
    'LA BAULE'   => 'Loire-Atlantique',
    'STRASBOURG' => 'Bas-Rhin');
// affichage du tableau
echo '--- Affichage de $DEPT ---'.PHP_EOL;
foreach($DEPT as $clef => $valeur)
{
 echo "[$clef]:$valeur\t";
}
echo PHP_EOL;

echo "Entrez une donnée à chercher :";
$donneerecherche=fgets(STDIN);
// suppression des espaces au début , à la fin et suppression du saut de ligne
$donneerecherche=trim($donneerecherche);
$trouve=false;
// ------------------------------
// fonction in_array()
// ------------------------------
$trouve=in_array($donneerecherche,$DEPT);

if ($trouve)
  echo "$donneerecherche trouvé".PHP_EOL;
else
  echo "$donneerecherche non trouvé".PHP_EOL;
?>